Package org.eclipse.emf.compare.internal.merge

# Class MergeDataImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.internal.merge.MergeDataImpl

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IMergeData`

public class MergeDataImpl extends AdapterImpl implements IMergeData
Adapter that help to know the way of merge and the editable sides of a difference.

Since:
  3.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`MergeDataImpl(boolean leftEditable, boolean rightEditable)`
Constructor.
`MergeDataImpl(boolean leftEditable, boolean rightEditable, boolean mirrored)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAdapterForType(Object type)`
`boolean`
`isLeftEditable()`
Returns whether the left side of the comparison is editable.
`boolean`
`isMirrored()`
Returns whether the left and right sides are swapped, i.e., mirrored.
`boolean`
`isRightEditable()`
Returns whether the right side of the comparison is editable.
`void`
`setLeftEditable(boolean leftEditable)`
Set whether the left side of the comparison is editable.
`void`
`setMirrored(boolean mirrored)`
Sets whether the left and right sides are swapped, i.e., mirrored.
`void`
`setRightEditable(boolean rightEditable)`
Set whether the right side of the comparison is editable.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, notifyChanged, setTarget`

## Constructor Details

### MergeDataImpl

public MergeDataImpl(boolean leftEditable, boolean rightEditable)
Constructor.

Parameters:
  `leftEditable` - Left side editable.
  `rightEditable` - Right side editable.

### MergeDataImpl

public MergeDataImpl(boolean leftEditable, boolean rightEditable, boolean mirrored)
Constructor.

Parameters:
  `leftEditable` - Left side editable.
  `rightEditable` - Right side editable.
  `mirrored` - Left and right side are swapped, i.e., mirrored.

## Method Details

### isLeftEditable

public boolean isLeftEditable()
Returns whether the left side of the comparison is editable.

Specified by:
  `isLeftEditable` in interface `IMergeData`
Returns:
  true if the left side of the comparison is editable, false otherwise.
See Also:
  - `IMergeData.isLeftEditable()`

### isRightEditable

public boolean isRightEditable()
Returns whether the right side of the comparison is editable.

Specified by:
  `isRightEditable` in interface `IMergeData`
Returns:
  true if the right side of the comparison is editable, false otherwise.
See Also:
  - `IMergeData.isRightEditable()`

### isAdapterForType

public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`

### setLeftEditable

public void setLeftEditable(boolean leftEditable)
Set whether the left side of the comparison is editable.

Specified by:
  `setLeftEditable` in interface `IMergeData`
Parameters:
  `leftEditable` - whether the left side of the comparison is editable.
See Also:
  - `IMergeData.setLeftEditable(boolean)`

### setRightEditable

public void setRightEditable(boolean rightEditable)
Set whether the right side of the comparison is editable.

Specified by:
  `setRightEditable` in interface `IMergeData`
Parameters:
  `rightEditable` - whether the right side of the comparison is editable.
See Also:
  - `IMergeData.setRightEditable(boolean)`

### isMirrored

public boolean isMirrored()
Returns whether the left and right sides are swapped, i.e., mirrored.

Specified by:
  `isMirrored` in interface `IMergeData`
Returns:
  true if the left and right sides are swapped, i.e., mirrored, false otherwise.
See Also:
  - `IMergeData.isMirrored()`

### setMirrored

public void setMirrored(boolean mirrored)
Sets whether the left and right sides are swapped, i.e., mirrored.

Specified by:
  `setMirrored` in interface `IMergeData`
Parameters:
  `mirrored` - whether the left and right sides are swapped, i.e., mirrored, false otherwise.
See Also:
  - `IMergeData.setMirrored(boolean)`